## IdeLspHoverProvider IdeLspHoverProvider — Interactive hover integration for language servers |

## Functions

IdeLspClient * | ide_lsp_hover_provider_get_client ()
void | ide_lsp_hover_provider_set_client ()

## Properties

gchar * | category | Read / Write
IdeLspClient * | client | Read / Write
gint | priority | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_HOVER_PROVIDER
struct | IdeLspHoverProviderClass
| IdeLspHoverProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspHoverProvider

## Implemented Interfaces

IdeLspHoverProvider implements IdeHoverProvider.

## Description

The IdeLspHoverProvider provides integration with language servers that support hover requests. This can display markup in the interactive tooltip that is displayed in the editor.

## Functions

### ide_lsp_hover_provider_get_client ()

    IdeLspClient *
    ide_lsp_hover_provider_get_client (IdeLspHoverProvider *self);

Gets the client that is used for communication.

#### Parameters

self | an IdeLspHoverProvider |

#### Returns

an IdeLspClient or `NULL`.

[transfer none][nullable]

Since: 3.30

### ide_lsp_hover_provider_set_client ()

    void
    ide_lsp_hover_provider_set_client (IdeLspHoverProvider *self,
                                       IdeLspClient *client);

Sets the client to be used to query for hover information.

#### Parameters

self | an IdeLspHoverProvider |
client | an IdeLspClient |

Since: 3.30

## Types and Values

### IDE_TYPE_LSP_HOVER_PROVIDER

    #define IDE_TYPE_LSP_HOVER_PROVIDER (ide_lsp_hover_provider_get_type())

### struct IdeLspHoverProviderClass

    struct IdeLspHoverProviderClass {
      IdeObjectClass parent_class;

      void (*prepare) (IdeLspHoverProvider *self);
    };

### IdeLspHoverProvider

    typedef struct _IdeLspHoverProvider IdeLspHoverProvider;

## Property Details

### The `“category”` property

      “category”                 gchar *

The "category" property is the category name to use when displaying the hover contents.

Owner: IdeLspHoverProvider

Flags: Read / Write

Default value: NULL

Since: 3.30

### The `“client”` property

      “client”                   IdeLspClient *

The "client" property is the IdeLspClient that should be used to communicate with the Language Server peer process.

Owner: IdeLspHoverProvider

Flags: Read / Write

Since: 3.30

### The `“priority”` property

      “priority”                 gint

Priority for hover content.

Owner: IdeLspHoverProvider

Flags: Read / Write

Default value: 0